---
apiVersion: v1
kind: Namespace
metadata:
  name: dapr-system
  labels:
    toolkit.fluxcd.io/tenant: sre-team
---
apiVersion: source.toolkit.fluxcd.io/v1beta2
kind: HelmRepository
metadata:
  name: dapr
  namespace: dapr-system
spec:
  interval: 24h
  url: https://dapr.github.io/helm-charts/
---
apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: dapr
  namespace: dapr-system
spec:
  interval: 30m
  chart:
    spec:
      chart: dapr
      version: "1.x"
      sourceRef:
        kind: HelmRepository
        name: dapr
        namespace: dapr-system
      interval: 12h
  values:
    installCRDs: true
